Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PdfPrinterGraphics2D

    java.lang.Object
      java.awt.Graphics
          java.awt.Graphics2D
              com.lowagie.text.pdf.PdfGraphics2D
                  com.lowagie.text.pdf.PdfPrinterGraphics2D

All Implemented Interfaces:
  PrinterGraphics

    public class PdfPrinterGraphics2D

extends PdfGraphics2D
implements PrinterGraphics

This is an extension class for the sole purpose of implementing the `PrinterGraphics` interface.

Field Summary
`private PrinterJob` | `printerJob`

Fields inherited from class com.lowagie.text.pdf.PdfGraphics2D
`AFM_DIVISOR, currentFillGState, currentStrokeGState, fillGState, strokeGState, underline`

Constructor Summary
`PdfPrinterGraphics2D(PdfContentByte cb, float width, float height, FontMapper fontMapper, boolean onlyShapes, boolean convertImagesToJPEG, float quality, PrinterJob printerJob)`

Method Summary
`PrinterJob` | `getPrinterJob()`

Methods inherited from class com.lowagie.text.pdf.PdfGraphics2D
`addRenderingHints, asPoints, clearRect, clip, clipRect, copyArea, create, dispose, doAttributes, draw, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRenderableImage, drawRenderedImage, drawRoundRect, drawString, drawString, drawString, drawString, fill, fillArc, fillOval, fillPolygon, fillRect, fillRoundRect, getBackground, getClip, getClipBounds, getColor, getComposite, getContent, getDeviceConfiguration, getFont, getFontMetrics, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHint, setRenderingHints, setStroke, setTransform, setXORMode, shear, transform, translate, translate`

Methods inherited from class java.awt.Graphics2D
`draw3DRect, fill3DRect`

Methods inherited from class java.awt.Graphics
`create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### printerJob

    private PrinterJob printerJob

Constructor Detail

### PdfPrinterGraphics2D

    public PdfPrinterGraphics2D(PdfContentByte cb,
                                float width,
                                float height,
                                FontMapper fontMapper,
                                boolean onlyShapes,
                                boolean convertImagesToJPEG,
                                float quality,
                                PrinterJob printerJob)

Method Detail

### getPrinterJob

    public PrinterJob getPrinterJob()

  Specified by:
    `getPrinterJob` in interface `PrinterGraphics`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD